GETGet Webhook History

Webhook APIhttps://web3.nodit.io/v1/aptos/mainnet/webhooks/history

API for querying Webhook call history. Use this API to check Webhook execution status and call results. Call history includes Webhook event success/failure status and detailed information for each call.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Query Parameters
subscriptionIdstringrequired

Parameter that specifies the subscriptionId assigned to the Webhook to query. Use the subscriptionId returned when creating the Webhook to query, update, or delete Webhook information. Enter an empty value to query all Webhook information.

pagestring

Specifies the page to query. Default is 1.

rppstring

Specifies the number of events to query per page. Value range is 1 to 100. Default is 10.

withEventMessageboolean

Specifies whether to include event messages in the query. Default is false.

statusstring (enum)

Filters events by webhook call success (SUCCESS) or failure (FAIL).

startAtstring (date-time)

Specifies the start time for event occurrence in ISO 8601 format.

endAtstring (date-time)

Specifies the end time for event occurrence in ISO 8601 format.

startSequenceNumberstring

Specifies the sequenceNumber to start the query from.

Responses
totalnumber

Total number of events matching the criteria.

pagenumber

Current page number of the query.

rppnumber

Number of events per page returned based on the request.

idstring

Unique value identifying the call history entry.

compositeKeystring

Value combining subscriptionId and sequenceNumber. (Format: {subscriptionId}:{sequenceNumber})

subscriptionIdstring

Field representing the subscriptionId of the Webhook this call history entry belongs to.

sequenceNumberstring

Field representing the sequence number of the Webhook message. Compare the sequenceNumber of received messages to identify missing messages.

statusstring (enum)

Field representing whether the Webhook call succeeded (SUCCESS) or failed (FAIL).

updatedAtstring

Indicates when there was a change in the webhook delivery result (status), e.g., when a failed delivery was retried and changed to success. This field is returned in ISO 8601 format.

createdAtstring

Indicates when the webhook event occurred and the log was created. This field is returned in ISO 8601 format.

eventMessageobject

Field representing the message body delivered via Webhook. Included only when withEventMessage is set to true in the request, and not returned for entries past the 7-day retention period.

subscriptionIdstring

Field representing the subscriptionId of the Webhook the message was delivered to.

sequenceNumberstring

Field representing the sequence number of the message.

eventTypestring

Field representing the event type subscribed to by this Webhook. (e.g., ADDRESS_ACTIVITY, TOKEN_TRANSFER, LOG, ...)

protocolstring

Field representing the chain subscribed to via this Webhook. (e.g., ethereum, polygon, kaia, ...)

networkstring

Field representing the network subscribed to via this Webhook. (e.g., mainnet, sepolia, ...)

eventobject

Field representing the details of the detected event. The structure varies by eventType.

reorgRemovedboolean

Field that indicates whether the message resulted from a reorg. When a reorg occurs, the message is sent with this field added and set to true. It uses the same Sequence Number as the message containing the data of the affected block, so you can tell which block's data was reorged by its Sequence Number.

예: true

X-API-KEY
Request
cURL
curl -X GET "https://web3.nodit.io/v1/aptos/mainnet/webhooks/history?subscriptionId=5001&page=1&rpp=10&withEventMessage=true&status=SUCCESS&startAt=2026-01-01T00:00:00Z&endAt=2026-01-01T00:00:00Z&startSequenceNumber=100" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "total": 15,
  "rpp": 1,
  "page": 1,
  "items": [
    {
      "id": "1284507193",
      "compositeKey": "5001:15",
      "subscriptionId": "5001",
      "sequenceNumber": "15",
      "status": "SUCCESS",
      "updatedAt": "2026-08-10T07:33:53.000Z",
      "createdAt": "2026-08-10T07:33:52.000Z",
      "eventMessage": {
        "subscriptionId": "5001",
        "sequenceNumber": "15",
        "eventType": "ADDRESS_ACTIVITY",
        "network": "mainnet",
        "protocol": "ethereum",
        "event": {
          "targetAddresses": [
            "0xdac17f958d2ee523a2206206994597c13d831ec7"
          ],
          "messages": [
            {
              "token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
              "from_address": "0x12c28f26d876b9484417848cf904edda02e627aa",
              "to_address": "0x8bb9de69d3e930f2e125b92461f8b93f00145ece",
              "value": "100",
              "transaction_hash": "0x6e529dd87fe612e04bdfa84a498e739923dd32f578d3a656cab29c4df680e22d",
              "log_index": 1047,
              "block_number": 25723120,
              "block_timestamp": 1786347131,
              "transaction_index": 468,
              "type": "erc20"
            },
            {
              "token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
              "from_address": "0x89f23e7e0c1e11e2390db8ec66cf85093427ae10",
              "to_address": "0x477b8d5ef7c2c42db84deb555419cd817c336b6f",
              "value": "834940000",
              "transaction_hash": "0xd65a6ce8ca872a819f3ae41968731e59536a5530746a1aee7d49c716a9fe35b2",
              "log_index": 1039,
              "block_number": 25723120,
              "block_timestamp": 1786347131,
              "transaction_index": 450,
              "type": "erc20"
            }
          ]
        }
      }
    }
  ]
}